Foreman - Bug #29065

Hammer filter create fails if default location is set.
02/19/2020 09:58 AM - Tomer Brisker

Status: Closed

Priority: Normal

Assignee: Ondrej Prazak

Category: Organizations and Locations

Target version:

Difficulty: Fixed in Releases: 1.24.3,2.0.0
Triaged: No Found in Releases:
Bugzilla link: 1792339 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/7494
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1792339

Description of problem:
"hammer role create” now assigns "Default Location" by default. It did not do that previously.
Attempting to create a filter for a role fails with error:

Could not create the permission filter:
Location ids You can't assign locations to this resource

How reproducible:
every time

Steps to Reproduce:
[root@dhcp-3-165 ~]# hammer role create --name test

~]# hammer filter create --permissions="view_activation_keys,create_activation_keys,edit_activation_keys,destroy_activation_keys"
--role-id=32

Could not create the permission filter:

Location ids You can't assign locations to this resource
[root@dhcp-3-165 ~]# hammer role info --name test

Id: 32

Name: test

Builtin:  no

Description:

Locations:

Default Location

[root@dhcp-3-165 ~J# hammer role create --name test2
User role [test2] created.

[root@dhcp-3-165 ~J# hammer role info --name test2
Id: 33

Name: test2

Builtin:  no

Description:

Locations:

Default Location

Actual results:
Could not create the permission filter

Expected results:
https://bugzilla.redhat.com/show_bug.cgi?id=1792339

hammer filter can be created

Related issues:

Related to Foreman - Bug #28272: can't create a filter for a role with view_o...

Related to Foreman - Bug #29056: Hammer filter create fails if default organi...

Resolved
Closed

Associated revisions

Revision cce34197 - 03/08/2020 07:18 AM - Ondrej Prazak

Fixes #29065 - Do not add lone taxonomies to filter

History

#1 - 02/19/2020 09:59 AM - Tomer Brisker

- Subject changed from Hammer filter create fails if default location is set.
to Hammer filter create fails if default location is set.

- Category set to Organizations and Locations

#2 - 02/19/2020 10:01 AM - Tomer Brisker

- Related to Bug #28272: can't create a filter for a role with view_organizations or view_locations permissions via APl/hammer added

#3 - 02/19/2020 10:01 AM - Tomer Brisker

- Related to Bug #29056: Hammer filter create fails if default organization is set. added

#4 - 02/20/2020 09:08 AM - Shira Maximov

- Status changed from New to Closed

The bug is no longer reproducible.

#5 - 02/27/2020 08:06 AM - Tomer Brisker

- Status changed from Closed to Resolved

#6 - 02/27/2020 08:30 AM - Shira Maximov

- Status changed from Resolved to New

#7 - 03/06/2020 09:27 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ondrej PraZzak

- Pull request https://github.com/theforeman/foreman/pull/7493 added

#8 - 03/06/2020 09:33 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/7494 added

#9 - 03/06/2020 02:30 PM - Oleh Fedorenko
- Pull request deleted (https://github.com/theforeman/foreman/pull/7493)

#10 - 03/08/2020 07:19 AM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#11 - 03/08/2020 08:01 AM - Ondfej Prazak
- Status changed from Ready For Testing to Closed

Applied in changeset cce34197464941f38ea131d2715d012dfa9f58a7.

#12 - 03/08/2020 08:31 AM - Tomer Brisker
- Fixed in Releases 1.24.3, 2.0.0 added
- Fixed in Releases deleted (2.1.0)
